Skip to main content
24.02
日本語は機械翻訳による参考訳です。内容に矛盾や不一致があった場合には、英語の内容が優先されます。

グループのユーザーを削除する

DELETE /accounts/{account_id}/core/v1/groups/{group_id}/users/{user_id}

指定されたユーザー API リソースを削除します。

副作用

  • ユーザーに関連付けられている以下のリソースが削除されます:notificationMarks、トークン、およびユーザーを参照するすべてのroleBindings。

  • 「authProvider」が「local」のユーザーの場合、「keyType」が「passwordHash」のリンクされた認証情報も削除されます。

パラメータ

Name を入力します 入力 必須 説明

account_id

string

path(パス)

True

包含するアカウントリソースのID

  • 例:{{.Account}}

group_id

string

path(パス)

True

包含するグループリソースのID

user_id

string

path(パス)

True

リストするユーザーコレクションのID

応答

Status: 204, Indicates if the user resource was deleted.

応答

Status: 401, Unauthorized
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

回答例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

応答

Status: 400, Bad request
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

invalidParams

配列["invalidParams"]

False

無効なクエリパラメータのリスト

回答例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

応答

Status: 403, Forbidden
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

回答例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

エラー

Status: 404, Not found
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

エラー応答の例
{
  "type": "https://astra.netapp.io/problems/1",
  "title": "Resource not found",
  "detail": "The resource specified in the request URI wasn't found.",
  "status": "404"
}

用語の意味

定義を参照

invalidParams

Name を入力します 必須 説明

名前

string

True

無効なクエリパラメータの名前

理由

string

True

クエリパラメータが無効な理由

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response